import {
	WeaTools
} from 'ecCom'


export const getHasRight = (params) => {
	return WeaTools.callApi('/api/hrm/classifiedProtection/getHasRight', 'GET', params);
}

export const getRightMenu = (params) => {
	return WeaTools.callApi('/api/hrm/classifiedProtection/getRightMenu', 'GET', params);
}

export const getBasicInfo = (params) => {
	return WeaTools.callApi('/api/hrm/classifiedProtection/getBasicInfo', 'GET', params);
}

export const getUserClassification = (params) => {
	return WeaTools.callApi('/api/hrm/classifiedProtection/getUserClassification', 'GET', params);
}

export const getResourceClassification = (params) => {
	return WeaTools.callApi('/api/hrm/classifiedProtection/getResourceClassification', 'GET', params);
}

export const saveBasicInfo = (params) => {
	return WeaTools.callApi('/api/hrm/classifiedProtection/saveBasicInfo', 'POST', params);
}

export const saveUserClassification = (params) => {
	return WeaTools.callApi('/api/hrm/classifiedProtection/saveUserClassification', 'POST', params);
}

export const saveResourceClassification = (params) => {
	return WeaTools.callApi('/api/hrm/classifiedProtection/saveResourceClassification', 'POST', params);
}